summaryrefslogtreecommitdiff
path: root/packages/assert.source.sh
diff options
context:
space:
mode:
authorPaul Buetow <git@mx.buetow.org>2021-05-19 20:01:47 +0100
committerPaul Buetow <git@mx.buetow.org>2021-05-21 05:11:05 +0100
commit14822623456972b0dbe9dc5b6c36b701bb6ec7f1 (patch)
tree75ff9e661c682b7bad6aa2dc59eb12ad5622ef6b /packages/assert.source.sh
parentafd9fdf7ca0800c457959b540c4378d20f802dc0 (diff)
Removal of Makefile and some fixes/refactorings
Diffstat (limited to 'packages/assert.source.sh')
-rw-r--r--packages/assert.source.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/packages/assert.source.sh b/packages/assert.source.sh
index 5d3a5c5..0c7157f 100644
--- a/packages/assert.source.sh
+++ b/packages/assert.source.sh
@@ -45,3 +45,15 @@ assert::matches () {
log VERBOSE "Matching in $callee as expected"
}
+
+# Checks if all the Bash scripts here are good.
+assert::shellcheck () {
+ set -e
+ shellcheck \
+ --norc \
+ --external-sources \
+ --check-sourced \
+ --exclude=SC2155,SC2010,SC2154,SC1090,SC2012 \
+ ./"$0"
+ set +e
+}